OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepGeom

# StepGeom_HArray1OfPcurveOrSurface Class Reference

`#include <StepGeom_HArray1OfPcurveOrSurface.hxx>`

## Public Member Functions
Standard_EXPORT | StepGeom_HArray1OfPcurveOrSurface (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepGeom_HArray1OfPcurveOrSurface (const Standard_Integer Low, const Standard_Integer Up, const StepGeom_PcurveOrSurface &V)
Standard_EXPORT void | Init (const StepGeom_PcurveOrSurface &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepGeom_PcurveOrSurface &Value)
const StepGeom_PcurveOrSurface & | Value (const Standard_Integer Index) const
StepGeom_PcurveOrSurface & | ChangeValue (const Standard_Integer Index)
const StepGeom_Array1OfPcurveOrSurface & | Array1 () const
StepGeom_Array1OfPcurveOrSurface & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
StepGeom_Array1OfPcurveOrSurface | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_HArray1OfPcurveOrSurface::StepGeom_HArray1OfPcurveOrSurface | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepGeom_HArray1OfPcurveOrSurface::StepGeom_HArray1OfPcurveOrSurface | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const StepGeom_PcurveOrSurface & | V
| ) |

## Member Function Documentation

const StepGeom_Array1OfPcurveOrSurface& StepGeom_HArray1OfPcurveOrSurface::Array1 | ( |  | ) | const

StepGeom_Array1OfPcurveOrSurface& StepGeom_HArray1OfPcurveOrSurface::ChangeArray1 | ( |  | ) |

StepGeom_PcurveOrSurface& StepGeom_HArray1OfPcurveOrSurface::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const StepGeom_HArray1OfPcurveOrSurface::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepGeom_HArray1OfPcurveOrSurface::Init | ( | const StepGeom_PcurveOrSurface & | V | ) |

Standard_Integer StepGeom_HArray1OfPcurveOrSurface::Length | ( |  | ) | const

Standard_Integer StepGeom_HArray1OfPcurveOrSurface::Lower | ( |  | ) | const

void StepGeom_HArray1OfPcurveOrSurface::SetValue | ( | const Standard_Integer | Index,
|  | const StepGeom_PcurveOrSurface & | Value
| ) |

Standard_Integer StepGeom_HArray1OfPcurveOrSurface::Upper | ( |  | ) | const

const StepGeom_PcurveOrSurface& StepGeom_HArray1OfPcurveOrSurface::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

StepGeom_Array1OfPcurveOrSurface StepGeom_HArray1OfPcurveOrSurface::myArray`[private]`

The documentation for this class was generated from the following file:

- StepGeom_HArray1OfPcurveOrSurface.hxx